Bug 47784 - man problem after an update
Summary: man problem after an update
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tmpwatch
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
: 48326 48468 48742 48862 48934 53327 54566 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-07 15:47 UTC by Need Real Name
Modified: 2007-04-18 16:34 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2001-09-06 19:24:44 UTC


Attachments (Terms of Use)
A version of /etc/cron.daily/tmpwatch that actually works. (258 bytes, text/plain)
2001-07-11 15:24 UTC, Henning Schmiedehausen
no flags Details
A version of /etc/cron.daily/tmpwatch that actually works. (258 bytes, patch)
2001-07-11 15:24 UTC, Henning Schmiedehausen
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2001:104 normal SHIPPED_LIVE New tmpwatch package fixes cron warning 2001-08-28 04:00:00 UTC
Red Hat Product Errata RHSA-2001:072 high SHIPPED_LIVE : Updated man package fixing GID security problems. 2001-05-28 04:00:00 UTC

Description Need Real Name 2001-07-07 15:47:46 UTC
After man update to man-1.5i2-0.7x
I started getting the following errors in mail from crond:


/etc/cron.daily/tmpwatch:

error: lstat() of directory /var/cache/man/X11R6/cat? failed: No such file
or directory

Comment 1 Christian Rose 2001-07-09 04:36:42 UTC
Confirmed. I also have two Red Hat Linux 7.0 systems with the man update applied
that gives this error in cron mail.

Comment 2 Need Real Name 2001-07-09 04:53:17 UTC
Very good it was fixed.
Without this a race often caused sysklogd killed
(when second -HUP gets delivered during first -HUP processing)
This often happened with slow computers.

To model such problem just do

while true ; do killall -HUP sysklogd ;  done

the sysklogd will get killed.
Same thing did multiple -HUP from log rotation.
Hopefully it will be fixed from now on in sysklogd.

Also, check the other daemons for this type of problem.
It is very annoying - server just dies one every one or two months.
I found few (apache, exim, syslog)
which now seems fixed. Check the other daemons to make sure 
no multiple -HUP used for restarting.


Comment 3 Need Real Name 2001-07-09 04:54:36 UTC
I posted a comment to a wrong bug 
It supposed top go to
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=39423
Please ignore my previous comment

Comment 4 Jonathan Kamens 2001-07-09 19:28:40 UTC

*** This bug has been marked as a duplicate of 44117 ***

Comment 5 Christian Rose 2001-07-09 20:23:38 UTC
This report is about the RHL 7.0 errata and is not yet resolved (updated
tmpwatch is not available as errata).

The solution might be similar to the one in bug 44177, though.

Comment 6 Christian Rose 2001-07-09 20:25:19 UTC
Changing component to tmpwatch.

Comment 7 Bernhard Rosenkraenzer 2001-07-10 16:14:03 UTC
*** Bug 48326 has been marked as a duplicate of this bug. ***

Comment 8 Bernhard Rosenkraenzer 2001-07-11 10:00:39 UTC
*** Bug 48468 has been marked as a duplicate of this bug. ***

Comment 9 Henning Schmiedehausen 2001-07-11 15:24:31 UTC
Created attachment 23309 [details]
A version of /etc/cron.daily/tmpwatch that actually works.

Comment 10 Henning Schmiedehausen 2001-07-11 15:24:35 UTC
Created attachment 23310 [details]
A version of /etc/cron.daily/tmpwatch that actually works.

Comment 11 Bernhard Rosenkraenzer 2001-07-12 14:36:17 UTC
*** Bug 48862 has been marked as a duplicate of this bug. ***

Comment 12 Rex Dieter 2001-07-13 16:57:23 UTC
*** Bug 48934 has been marked as a duplicate of this bug. ***

Comment 13 Arenas Belon, Carlo Marcelo 2001-07-16 03:34:41 UTC

*** This bug has been marked as a duplicate of 44117 ***

Comment 14 Christian Rose 2001-07-16 21:17:29 UTC
The Rawhide issue is resolved, this one is not (there's no errata available).
Marking it as duplicate is thus unfortunate

Comment 15 Preston Brown 2001-08-06 16:14:12 UTC
*** Bug 48742 has been marked as a duplicate of this bug. ***

Comment 16 Preston Brown 2001-09-06 19:24:40 UTC
*** Bug 53327 has been marked as a duplicate of this bug. ***

Comment 17 Preston Brown 2001-11-06 17:17:27 UTC
*** Bug 54566 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.